<div class = "container">
<h1 style="letter-spacing: 0.11em; text-align: center">Contact us</h1>

<form class= "ui form" [formGroup]= "createContactForm" (ngSubmit)= "send()">
  <div class= "required fluid field">
    <label>Name</label>
    <input type= "text" value="Name" style="letter-spacing: 0.11em; text-align: center" id = "n" formControlName= "name">
  </div>

  <div class= "required fluid field">
    <label>Surname</label>
    <input type= "text" style="letter-spacing: 0.11em; text-align: center" id= "s" formControlName= "surname" >
  </div>

  <div class= "required fluid field"  [ngClass]= "{ error: emailHasErrors()}">
    <label>Email</label>
    <input type= "text" id="e" formControlName= "email" onsubmit="send()">
  </div>

  <div class="ui negative message" *ngIf="emailErrors().length > 0">
    <ul>
      <li *ngFor= "let errorMessage of emailErrors()">{{errorMessage}} </li>
    </ul>
  </div>

  <div text class= "required fluid field" [ngClass]= "{ error: messageHasErrors()}">
    <label>Message</label>
    <textarea name="message" id="m" formControlName= "message" ></textarea>
  </div>

  <div class="ui negative message" *ngIf="messageErrors().length > 0">
    <ul>
      <li *ngFor= "let errorMessage of messageErrors()">{{errorMessage}} </li>
    </ul>
  </div>

  <button class= "ui fluid button" id= "sendButton" type= "submit" onclick="send()" > Send</button>

</form>
</div>

